Call with Bluetooth headset not working [Meizu Pro 5 Ubuntu Edition]

Bug #1590844 reported by First Last on 2016-06-09
112
This bug affects 20 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Unassigned
turbo
Critical
Unassigned
bluez (Ubuntu)
Undecided
Konrad Zapałowicz
pulseaudio (Ubuntu)
Undecided
Unassigned
telephony-service (Ubuntu)
Undecided
Unassigned

Bug Description

My bluetooth headset perfectly connects to my Meizu Pro 5. However, the sound quality is so poor (a lot of noise) such that you don't understand your communication partner. Note that the headset works perfectly together with Ubuntu on my Nexus 4.

Changed in canonical-devices-system-image:
assignee: nobody → John McAleely (john.mcaleely)
status: New → Confirmed
Changed in bluez (Ubuntu):
assignee: nobody → Konrad Zapałowicz (kzapalowicz)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Changed in turbo:
status: New → Confirmed
Colin hodsdon (devonman01) wrote :

My pro 5 Ubuntu has the same problem
With. S10 HD. sound is good,no other functions work.
With. S11 HD. Like s10 hd.
 With RK 300 no sound but micro phone. Works
 ota 11 and 12

I can confirm this bug as well. It's horrible noise, you can't hear the other call participant at all. This needs to be fixed ASAP.
Can I help somehow, any log files needed or?

Hey,

@Stefan

the best would be providing the Bluetooth and PulseAudio logs. These are part of the syslog however you need to configure them both to be verbose. Here https://wiki.ubuntu.com/DebuggingBluetooth you can learn how to do it.

Let me know if you have further questions.

These ares different log I get after following the Debugging Bluetooth documentation.

With the headset I used (a old one), I didn't get any sound or noise when doing a call with bluetooth
I've tested the sound from music app and it worked well with no noise

I will try to upload some others logs soon with an other headset or car bluetooth (with the noise)

@ Konrad : I hope that I've following well the procedure. I've tried the headset one time without verbose logging (around 18.35 I think) and a second time after enable verbose logging (around 18.45 I think). I've got one error : impossible to edit /etc/init/ofono.override --> Read only file system (even if I used the sudo mount -o remount,rw /)

See the attaches files

Alexandre,

Here is the logs with an other headset
Doing a call --> lot of noise / saturated sound in headset
Playing music --> sound is good in headset

At the beginning of the log, I had to disconnect manually from the headset and reconnect because the sound was not redirected to headset (I think this is an other bug like here --> #1537737 [1])

[1] : https://bugs.launchpad.net/canonical-devices-system-image/+bug/1537737

Alexandre,

 I have tried to generate a log file but was unable to do so.
sed: can't read /etc/init/bluetooth.override; No such a file or directory

I have tried the other command regarding on the DebuggingBluetooth but again with an error
sed: -e expression #1,char 31: unknown option to 's'

So I can't help unless someone explain me how to do it.

Why is this bug not on critical or at least high importance list? Will it be fixed in next OTA? (13)

John McAleely (john.mcaleely) wrote :

I will follow up. It's possible we're waiting for (private) input from the OEM, and have not logged that bug here.

It seems probable from the symptoms (some profiles only, turbo only), that this may be in the system firmware and how it is configured.

Changed in canonical-devices-system-image:
importance: Undecided → Critical
Changed in turbo:
importance: Undecided → Critical
Changed in canonical-devices-system-image:
milestone: none → backlog
John McAleely (john.mcaleely) wrote :

I agree it should be critical (that seems to be an oversight). I'll confirm a milestone when I know more.

I managed to find the logs.

  • Logs Edit (938 bytes, application/octet-stream)

I will compress the logs as they are many and will post them when have access to a PC later today

Here it is, all I found.
OTA-12, STABLE, MEIZU-PD.EN

John McAleely (john.mcaleely) wrote :

Thanks for the logs. From my research, it seems this had just slipped through, so my apologies for that.

I know @kzapalowicz has been looking at this recently, so we'll keep this bug updated as we learn more.

I've spent time debugging this and it looks like the problem is with the BT chip firmware that potentially contains not ideal parameters.

I've also captured an audio sample directly from pcm and the sound is clear at the beginning however the quality decreases over time with the noise overtaking the voice eventually [like the noise volume increases step by step]. At the same time the voice through BT headset is polluted with the noise from the beginning.

I have also used a different firmware for the BT chip and as it produced no audio at all through the BT it has also made the pcm record perfectly clean from the beginning till the end.

I have tried the Bluetooth chip firmware embedded in updates as on this page http://www.flymeos.com/firmwarelist?modelId=10&type=1 and the .hcd file there is exact the same that we already have on Ubuntu enabled Pro5.

I have tested flyme version of Android on Pro5 and the sound is good. Also I have tested the Ubuntu version with the same .hcd config that is being used by the flyme - sound is bad.

I'm rather disappointed that this bug is not targeted in OTA-13.
That's unacceptable, seriously???

Stefan, as it has been said the bug has slipped through and please accept our apologies for that. For you to know we have prioritized this one over some other story and are struggling to find the resolution.

It's not typically the case that bugs are targeted at a particular
milestone unless there is either lots of time before the milestone, or
there is a well understood fix. When there is a well understood fix, we can
decide how/when to deliver it to handsets. OTA-13 is not done yet, but I
would not promise that it will be available for that milestone at this time.

On 1 September 2016 at 13:15, Konrad Zapałowicz <
<email address hidden>> wrote:

> Stefan, as it has been said the bug has slipped through and please
> accept our apologies for that. For you to know we have prioritized this
> one over some other story and are struggling to find the resolution.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1590844
>
> Title:
> Bluetooth headset not working with Meizu Pro 5 Ubuntu Edition
>
> Status in Canonical System Image:
> Confirmed
> Status in turbo:
> Confirmed
> Status in bluez package in Ubuntu:
> Confirmed
>
> Bug description:
> My bluetooth headset perfectly connects to my Meizu Pro 5. However,
> the sound quality is so poor (a lot of noise) such that you don't
> understand your communication partner. Note that the headset works
> perfectly together with Ubuntu on my Nexus 4.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1590844/+
> subscriptions
>

Lars Modig (modig-lars) wrote :

Hi, Interesting post. I do think this is the reason for many posts on Blue-tooth issues regarding the Pro 5. I hope that you'll find the fix and that it will then as well solve my bug post;
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1608115

Br,

Lars

Seth (seth-ciango) wrote :

Is there anything that I can do to help with this? More testing? More logs?

Hi there.
The problem is still the same after OTA-13
A lot of noise on incoming, and outgoing calls. It is impossible to make a conversation in the car.
I hope this will be fixed very soon. I can't use the phone in my daily work if bluetooth isn't working proberly.
I really want to support the project, but I don't know how....
Best regards
Henrik

Yes, still present after OTA-13. Could somebody let us know if there is any progress with this bug and whether we can expect a fix soon(even experimental), please???

Is there any chance the fix for this bug makes it to OTA-14, as to have not a bluetooth is very limiting.

I am not currently optimistic for this for OTA-14. When this was raised to
my attention, I had hoped it was an oversight in our initial bring up, and
would therefore be something we could fix reasonably quickly. So far, this
does not seem to be the case, and we've been discovering just how complex
and interconnected this area of the phone is.

So, this bug is proving far more complex to investigate than I imagined,
and I am therefore uncomfortable to commit it to any particular deadline.

I agree, if you are trying to use an impacted headset, the bug is a serious
one. I apologise that this may not be the most helpful thing I can say.

On 18 October 2016 at 14:31, Stefan Mikulaj <email address hidden>
wrote:

> Is there any chance the fix for this bug makes it to OTA-14, as to have
> not a bluetooth is very limiting.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1590844
>
> Title:
> Bluetooth headset not working with Meizu Pro 5 Ubuntu Edition
>
> Status in Canonical System Image:
> Confirmed
> Status in turbo:
> Confirmed
> Status in bluez package in Ubuntu:
> Confirmed
>
> Bug description:
> My bluetooth headset perfectly connects to my Meizu Pro 5. However,
> the sound quality is so poor (a lot of noise) such that you don't
> understand your communication partner. Note that the headset works
> perfectly together with Ubuntu on my Nexus 4.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1590844/+
> subscriptions
>

thank you John, if you need any more logs, just let us know, please.

akI (azeone123) wrote :

I just wanted to say that i can confirm that issue on the Pro5.
I have two Pro5 and also a MX4.

The MX4 works fine in my car when connected to the bluetooth (well except that sometimes the mic gets muted for whatever reason)
Both Pro5 instead cant be used for telephoning in the car by connected through BT.
You can only hear soughing instead of the participant so its not useable.

As this bug is on critical anyway i dont need to state again that this is a major one.

If i can do anything to help you guys please let me know, like i said i have a working BT on MX4 and soughing BT on both Pro5.

Mihael (mihaelmilea) wrote :

I have a Nokia J Bluetooth headset (BH-806) that connects to my Pro 5 Ubuntu phone but no sound is directed to the headset - instead it is played still on the phone speaker. I tried with another headset and the same result. I tried to record from my headset but it appears to be still using the phone microphone. So the headset is connected but the phone acts is if there would be no Bluetooth headset connected. When I tried to connect a Bluetooth speaker only it worked perfect. So I have a problem only with Bluetooth headsets (that have a microphone as well). Is this the same bug (or a different bug) or does this have any solution somewhere and then maybe somebody can help me?

Dom134 (dom134) wrote :

Hello there, good luck with the fix; I am waiting as well for noise-free car phone calls. Again if you need any logs, please let me know.
I connect to a Toyota Touch and Go media system. I have the choice to connect the phone for calls and/or for media. If I connect just for calls the car cannot seem to connect the phone call; however when I connect for calls and media I do connect, albeit with the horrendous noise issue.
The music appeared sends music to the car without issue; podbird can be stuttery.
Hope this helps.

jose sanchez (speedracer08861) wrote :

I have a pro5 and i canr hear the other person and they cant hear me. This is my daily i sold my iphone and android as i wanted something different. Please fix whatever you need to fix this count me in.

I agree. This is unacceptable and needs to be addressed. I've tried the
latest Meizu Android firmware as a system.img without success. I believe
this is a Bluez issue with 15.04 however the lack of feedback is
concerning.
We need to prioritize this.

On Nov 27, 2016 11:04 PM, "jose sanchez" <email address hidden> wrote:

> I have a pro5 and i canr hear the other person and they cant hear me.
> This is my daily i sold my iphone and android as i wanted something
> different. Please fix whatever you need to fix this count me in.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1590844
>
> Title:
> Bluetooth headset not working with Meizu Pro 5 Ubuntu Edition
>
> Status in Canonical System Image:
> Confirmed
> Status in turbo:
> Confirmed
> Status in bluez package in Ubuntu:
> Confirmed
>
> Bug description:
> My bluetooth headset perfectly connects to my Meizu Pro 5. However,
> the sound quality is so poor (a lot of noise) such that you don't
> understand your communication partner. Note that the headset works
> perfectly together with Ubuntu on my Nexus 4.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1590844/+
> subscriptions
>

Seth (seth-ciango) wrote :

Alexandre,
Do you know why it is behaving this way? Can I help by testing a suggested
fix or by providing more logs? I've tried new firmware, hacking around with
bluetooth settings, and manually changing pulseaudio card profiles during
calls. Unfortunately, nothing that I've tried has fixed it.

On Tue, Dec 13, 2016 at 5:51 AM, Alexandre Payet <email address hidden>
wrote:

> ** Also affects: pulseaudio (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1590844
>
> Title:
> Bluetooth headset not working with Meizu Pro 5 Ubuntu Edition
>
> Status in Canonical System Image:
> Confirmed
> Status in turbo:
> Confirmed
> Status in bluez package in Ubuntu:
> Confirmed
> Status in pulseaudio package in Ubuntu:
> New
>
> Bug description:
> My bluetooth headset perfectly connects to my Meizu Pro 5. However,
> the sound quality is so poor (a lot of noise) such that you don't
> understand your communication partner. Note that the headset works
> perfectly together with Ubuntu on my Nexus 4.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/canonical-devices-system-image/+bug/1590844/+
> subscriptions
>

OTA14 does not changed anything here.

I can also upload videos to show the different behaviors on MX4 and Pro5.
If you need any help i can do, let me know.

Half a year to fix a critical bug??? I don't know what to think about that.

@Seth,
I don't know at all. I also tied to modify some pulseaudio conf without success.
1. It's working on android --> so the problem come from ubuntu ?
2. Bluez / Bluetooth seems to have same behaviour than the other ubuntu phone (nexus 4 , ...)
3. Pulseaudio / audio is working well with the other sounds (music player, ...) even with Bluetooth
4. Only a call sound with bluetooth is noising. Problem seems to be sound's configuration between telephony service / bluez / pulseaudio

If we don't know the service(s) that impact this bug, could it be possible to have a discussion between people working on theses different services in order to understand the link between telephony/bluez/pulseaudio ?

These are only assumptions.

summary: - Bluetooth headset not working with Meizu Pro 5 Ubuntu Edition
+ Call with Bluetooth headset not working [Meizu Pro 5 Ubuntu Edition]
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Changed in telephony-service (Ubuntu):
status: New → Confirmed
Seth (seth-ciango) wrote :

I wiped my Pro 5 so that I could roll back all of the testing configuration changes that I made and am now able to provide two more updated logs from fresh installs. I have both an MX4 and a Pro 5. The MX4 successfully handles phonecalls. The Pro 5 doesn't.

Immediately after making test phonecalls on both devices, I ran the following commands on each devices:

grep -i blue /var/log/syslog
grep -i pulse /var/log/syslog

I've attached the results for the Pro 5.

Seth (seth-ciango) wrote :

Attaching the results of the MX4 for comparison with the PRO 5. Everything worked for the MX4

Changed in canonical-devices-system-image:
assignee: John McAleely (john.mcaleely) → nobody
Hubert Plissonneau (hubpliss) wrote :

Hello guys , this bug also affect me . I have this meizu pro 5 for 6 months , bluetooth is working fine to play music , but send only noise when you have to call , or when you receive a call .
I tested with sena SMH10 ( bike headset and intercom ) , and with my Garmin zumo 660 GPS acting as headset with the same results : big noise .

All theses devices was working fine with my android smartphone . Sending and receiving call is a key point for a smartphone ,

Reading the bug notes , i see nobody is assigned on this bug .
Is somebody can explain if someone from canonical is still working on this critcal issue ?

Rgds.
Hubert.

Are there any news on fixing this bug?

Seth (seth-ciango) wrote :

No news. I tried a few workarounds last week that failed. I'll try to report back later this week after a few more tests.

akI (azeone123) wrote :

There was a small update OTA-15 for my MEIZU Pro5 and i immediately checked out the bluetooth functionality.
Its still the same issue.

Meanwhile i had installed flymeOS back to my second Pro5 and flymeOS can receive and send phonecalls nice and clear so this is for sure an ubuntu issue.

Could this be just a kernel issue? I had Flyme installed on my Pro 5 for a couple a days and I did not reflashed the whole system, just restored it with TWRP and yes, Android Flyme latest stable had suddenly an issue with a noise and distortion when using a Bluetooth. Then I realised that I have not reflashed it ,just restored it. Then I flashed the Flyme update and again restored the image with TWRP and problem with bluetooth has gone. So it might be a worth to look on kernel, files it contains and the configuration.

Hello Stephan,

Is there a simple / not risky way to update the kernel on ubuntu ?
Alexandre,

tags: added: bluez-touch
tags: added: pulse-touch
tags: added: a2dp
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers